﻿@model schoolProgramsCheckInOutReportViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size:20px">
            <div>
                Sign-Out Sheet - Advanced Report
            </div>
            <div>
                {{Model.Date}}
            </div>
        </div>
        <div class="actions">
            <a class="icon-btn pdf-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-pdf"></i>
            </a>
            <a class="icon-btn excel-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-excel"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div class="row place-left one-half">
        <label>Program</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ScheduleId"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms"></select>
            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label class="req-star">Session start date</label>

        <div class="input-control date-time span4" data-role="input-control" @Html.AngValidationClassFor(model => model.DateProgram)>
            <div @Html.AngTooltipValidationFor(model => model.DateProgram)>
                <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="row place-left one-fourth" style="width: 300px !important">
        <label>Sort by</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="Model.SortBy" ng-options="obj.Value as obj.Title for obj in Model.Sorts"></select>
        </div>
    </div>

    <button type="submit" ng-click="runReport()" class="primary large place-right button" style="margin-top: 25px">Run</button>
    <br />
    <div class="clearfix"></div>
    <hr />


    <div class="structure-divider-large" ng-repeat="item in ModelPrograms">
        <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray" ng-show="item.ProgramParticipants != null">
            <tr>
                <td class="structure-bold structure-h3 " colspan="2"><span>{{item.ClassName}}</span></td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>{{item.SchoolName}}</span></td>
            </tr>
            <tr>
                <td>Days of week: {{item.ClassDays}}</td>
                <td colspan="4" class="structure-text-right structure-bold structure-h3 ">Check - In/Out Sheet</td>
            </tr>
            <tr>
                <td>Time: {{item.StrTime}}</td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 ">{{item.SeasonName}}</td>
            </tr>
            <tr>
                <td>Instructor: {{item.Instructor}}</td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 ">{{item.Date}}</td>
            </tr>
            <tr>
                <td>Location: {{item.Location}}</td>
                <td colspan="2">&nbsp;</td>
            </tr>
            <tr>
                <td>Report date: {{item.ReportDate}}</td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 "></td>
            </tr>
        </table>
        <table class="jbt-table-custom" ng-show="item.ProgramParticipants != null">

            <tr class="structure-gray">
                <th rowspan="2" style="min-width:50px;width:50px;">#</th>
                <th style="max-width:200px;width:200px;">Participant</th>
                <th style="max-width:200px;width:200px;">Teacher name</th>
                <th style="max-width:80px;width:90px;">Grade</th>
                <th style="max-width:256px;width:256px;" colspan="2">&nbsp;</th>
                <th style="max-width:256px;width:256px;" colspan="2">&nbsp;</th>
            </tr>
            <tr class="structure-gray">
                <th>Phone</th>
                <th>Transport home</th>
                <th>DOB</th>
                <th style="width: 90px">Time in</th>
                <th>Signature</th>
                <th style="width: 90px">Time out</th>
                <th>Signature</th>
            </tr>



            <tr ng-repeat="participant in item.ProgramParticipants">
                <td class="structure-text-center">{{participant.Number}}</td>
                <td class="structure-text-center">
                    <p>{{participant.ParticipantName}} <hr style="margin: 4px;" />{{participant.Phone}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.TeacherName}}<hr style="margin: 4px;" />{{participant.TransportHome}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.Grade}} <hr style="margin: 4px;" />{{participant.DoB}}</p>
                </td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
            </tr>
        </table>

        <table ng-show="item.ClassName.includes('Punchcard') && item.ProgramParticipants != null" class="jbt-table-custom structure-without-line structure-divider structure-bright-gray">
            <tr>
                <td>* Today attending the first session</td>
            </tr>
            <tr>
                <td>** Today attending the secnod session</td>
            </tr>
            <tr>
                <td>*** Today attending the both session</td>
            </tr>
        </table>
    </div>

    <div class="clearfix"></div>

</div>
